package com.guerrero.retodeezer;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.deezer.sdk.model.Playlist;
import com.squareup.picasso.Picasso;

import java.util.ArrayList;

public class AdaptadorListaReproduccion extends BaseAdapter {



    public AdaptadorListaReproduccion(Activity activity) {
        this.activity = activity;
        lista_listas_de_reproduccion = new ArrayList<>();
    }

    public AdaptadorListaReproduccion (){

    }

    private Activity activity;
    private ArrayList<Playlist> lista_listas_de_reproduccion;

    @Override
    public int getCount() {
        return lista_listas_de_reproduccion.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return position;
    }


    public ArrayList<Playlist> getLista_listas_de_reproduccion() {
        return lista_listas_de_reproduccion;
    }

    public void setLista_listas_de_reproduccion(ArrayList<Playlist> lista_listas_de_reproduccion) {
        this.lista_listas_de_reproduccion = lista_listas_de_reproduccion;
    }



    public void agregarListaReproduc(Playlist playlist) {
        lista_listas_de_reproduccion.add(playlist);
        notifyDataSetChanged();
    }

    public void borrarListadeListasRep() {
        if (lista_listas_de_reproduccion.size() != 0 && lista_listas_de_reproduccion != null) {
            lista_listas_de_reproduccion.clear();
        }
        notifyDataSetChanged();
    }







    @Override
    public View getView(int position, View convertView, ViewGroup parent) {

        LayoutInflater inflater = LayoutInflater.from(activity);
        View view = inflater.inflate(R.layout.renglon_lista_reproduccion, null, false);

        TextView items = view.findViewById(R.id.numero_items);
        ImageView imag = view.findViewById(R.id.iv_image);
        TextView nomlista = view.findViewById(R.id.nombre_lista);
        TextView nomcreador = view.findViewById(R.id.nombre_creador);
        Picasso.get().load(lista_listas_de_reproduccion.get(position).getSmallImageUrl()).into(imag);
        items.setText("Número de items: " + lista_listas_de_reproduccion.get(position).getTracks().size());
        nomcreador.setText("Nombre del usuario creador: " + lista_listas_de_reproduccion.get(position).getCreator().getName());
        nomlista.setText("Nombre Lista: " + lista_listas_de_reproduccion.get(position).getTitle());

        return view;
    }




}
